Bug 44270

Summary: Crash in NP_Initialize when loading QuickTime when running plugins/embed-attributes-setting.html in WebKit2 on Windows
Product: WebKit Reporter: Adam Roben (:aroben) <aroben>
Component: New BugsAssignee: Adam Roben (:aroben) <aroben>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, eric, webkit.review.bot
Priority: P2 Keywords: InRadar, PlatformOnly
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Windows XP   
Bug Depends on: 44460    
Bug Blocks: 43189    
Attachments:
Description Flags
Patch
none
Patch sullivan: review+

Description Adam Roben (:aroben) 2010-08-19 09:18:18 PDT
Crash in NP_Initialize when loading QuickTime when running plugins/embed-attributes-setting.html in WebKit2 on Windows
Comment 1 Adam Roben (:aroben) 2010-08-19 09:19:01 PDT
Created attachment 64862 [details]
Patch
Comment 2 WebKit Review Bot 2010-08-19 09:21:11 PDT
Attachment 64862 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style']" exit_code: 1
WebKitTools/DumpRenderTree/TestNetscapePlugIn/main.cpp:37:  Missing space before ( in while(  [whitespace/parens] [5]
Total errors found: 1 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Adam Roben (:aroben) 2010-08-19 11:06:21 PDT
<rdar://problem/8330393>
Comment 4 Adam Roben (:aroben) 2010-08-19 14:26:48 PDT
Committed r65703: <http://trac.webkit.org/changeset/65703>
Comment 6 Eric Seidel (no email) 2010-08-23 15:48:29 PDT
Ha!  The sherriff even knew this change was at fault!  The buildbots were just so upset at the time it was hard to tell. :(
Comment 7 Adam Roben (:aroben) 2010-08-25 10:29:57 PDT
Created attachment 65434 [details]
Patch
Comment 8 WebKit Review Bot 2010-08-25 10:30:50 PDT
Attachment 65434 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style']" exit_code: 1
WebKitTools/DumpRenderTree/TestNetscapePlugIn/main.cpp:37:  Missing space before ( in while(  [whitespace/parens] [5]
Total errors found: 1 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 Adam Roben (:aroben) 2010-08-25 10:31:25 PDT
This new patch differs from the old one by recording when NP_Initialize is called and moving the Mac assertion into NP_GetEntryPoints. This allows NP_Initialize/NP_GetEntryPoints to be called multiple times (in the correct order) without the assertion firing.
Comment 10 Adam Roben (:aroben) 2010-08-25 11:14:07 PDT
Committed r66025: <http://trac.webkit.org/changeset/66025>